Subject: Joe Touch: Re: Taxonomy draft - web replication problems

From: Micah Beck <[email-masked]>
Date: Fri, 20 Aug 1999 18:42:25 -0400

Joe Touch wrote:

> > > The difference between a mirror and a replica, IMO, is that
> > > 
> > >         a mirror is a copy of an entire server
> > >         a replicate is a copy of one of the files on a server
> > 
> > but then we run into problem of defining what is an 'entire server' ?
> 
> "entire database" - a related collection of data.
> 
> I.e., mirror refers to the server,or collection, not the
> individual items. A datum is replicated; the collection is
> mirrored. (at least that's what I'm trying to convey).

I think the distinction here is "on-demand" vs. "a-priori"  not whether
the whole database (or channel, as we would say in I2-DSI) is copied. 

One can have a dynamic cache which fetches the whole channel when any object
is referenced. Similarly a-priori strategies for copying can be based on
factors other than "the whole database".  The difference is whether it is
a the copying is a response to a request or made prior to the request. IMHO.

/micah